Restaura desde la papelera y re-aplica el saldo (TXN-005)
curl --request POST \
--url https://api.finzaria.com/v1/v1/transactions/{id}/restore \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.finzaria.com/v1/v1/transactions/{id}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.finzaria.com/v1/v1/transactions/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.finzaria.com/v1/v1/transactions/{id}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.finzaria.com/v1/v1/transactions/{id}/restore"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.finzaria.com/v1/v1/transactions/{id}/restore")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.finzaria.com/v1/v1/transactions/{id}/restore")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"description": "<string>",
"memo": "<string>",
"amount": "450.50",
"date": "2026-07-02",
"type": "expense",
"status": "cleared",
"accountId": "<string>",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"currency": "<string>",
"exchangeRate": "<string>",
"toAmount": "<string>",
"toCurrency": "<string>",
"repeatingTransactionId": "<string>",
"category": {
"id": "<string>",
"name": "<string>",
"emoji": "<string>"
},
"deletedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"participants": [
{
"contactId": "<string>",
"name": "<string>",
"role": "payer",
"amount": "50.00",
"debtDelta": "50.00"
}
]
}transactions
Restaura desde la papelera y re-aplica el saldo (TXN-005)
POST
/
v1
/
transactions
/
{id}
/
restore
Restaura desde la papelera y re-aplica el saldo (TXN-005)
curl --request POST \
--url https://api.finzaria.com/v1/v1/transactions/{id}/restore \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.finzaria.com/v1/v1/transactions/{id}/restore"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.finzaria.com/v1/v1/transactions/{id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.finzaria.com/v1/v1/transactions/{id}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.finzaria.com/v1/v1/transactions/{id}/restore"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.finzaria.com/v1/v1/transactions/{id}/restore")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.finzaria.com/v1/v1/transactions/{id}/restore")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"description": "<string>",
"memo": "<string>",
"amount": "450.50",
"date": "2026-07-02",
"type": "expense",
"status": "cleared",
"accountId": "<string>",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"currency": "<string>",
"exchangeRate": "<string>",
"toAmount": "<string>",
"toCurrency": "<string>",
"repeatingTransactionId": "<string>",
"category": {
"id": "<string>",
"name": "<string>",
"emoji": "<string>"
},
"deletedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"participants": [
{
"contactId": "<string>",
"name": "<string>",
"role": "payer",
"amount": "50.00",
"debtDelta": "50.00"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Example:
"450.50"
Example:
"2026-07-02"
Available options:
expense, income, transfer, refund, shared_bill, paid_for_friend, loan, settlement, investment_buy, investment_sell, investment_dividend, capital_gain, capital_loss Available options:
cleared, pending, reconciled Transfer entre divisas: 1 currency = exchangeRate toCurrency (09).
Monto que llegó al destino, en toCurrency (09).
Moneda de la cuenta destino en un transfer entre divisas (09).
Regla recurrente que generó esta ocurrencia (09).
Categoría 0..1; null = sin categoría (CAT-002).
Show child attributes
Show child attributes
Participantes del IOU; null en tipos no-IOU (08-iou).
Show child attributes
Show child attributes